org.apache.poi.ss.usermodel.charts

## Interface ChartAxis

- All Known Subinterfaces:
    ValueAxis
  All Known Implementing Classes:
    XSSFCategoryAxis, XSSFChartAxis, XSSFDateAxis, XSSFValueAxis

  Deprecated.
  use XDDFChartAxis instead

      @Deprecated
       @Removal(version="4.2")
      public interface ChartAxis

  High level representation of chart axis.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `crossAxis(ChartAxis axis)` Deprecated. Declare this axis cross another axis.
    `AxisCrosses` | `getCrosses()` Deprecated.
    `long` | `getId()` Deprecated.
    `double` | `getLogBase()` Deprecated.
    `AxisTickMark` | `getMajorTickMark()` Deprecated.
    `double` | `getMaximum()` Deprecated.
    `double` | `getMinimum()` Deprecated.
    `AxisTickMark` | `getMinorTickMark()` Deprecated.
    `java.lang.String` | `getNumberFormat()` Deprecated.
    `AxisOrientation` | `getOrientation()` Deprecated.
    `AxisPosition` | `getPosition()` Deprecated.
    `boolean` | `hasNumberFormat()` Deprecated. Use this to check before retrieving a number format, as calling `getNumberFormat()` may create a default one if none exists.
    `boolean` | `isSetLogBase()` Deprecated.
    `boolean` | `isSetMaximum()` Deprecated.
    `boolean` | `isSetMinimum()` Deprecated.
    `boolean` | `isVisible()` Deprecated.
    `void` | `setCrosses(AxisCrosses crosses)` Deprecated.
    `void` | `setLogBase(double logBase)` Deprecated.
    `void` | `setMajorTickMark(AxisTickMark tickMark)` Deprecated.
    `void` | `setMaximum(double max)` Deprecated.
    `void` | `setMinimum(double min)` Deprecated.
    `void` | `setMinorTickMark(AxisTickMark tickMark)` Deprecated.
    `void` | `setNumberFormat(java.lang.String format)` Deprecated.
    `void` | `setOrientation(AxisOrientation orientation)` Deprecated.
    `void` | `setPosition(AxisPosition position)` Deprecated.
    `void` | `setVisible(boolean value)` Deprecated.

- - ### Method Detail

    - #### getId

          long getId()

      Deprecated.
      Returns:
        axis id

    - #### getPosition

          AxisPosition getPosition()

      Deprecated.
      Returns:
        axis position

    - #### setPosition

          void setPosition(AxisPosition position)

      Deprecated.
      Parameters:
        `position` - new axis position

    - #### getNumberFormat

          java.lang.String getNumberFormat()

      Deprecated.
      Returns:
        axis number format

    - #### setNumberFormat

          void setNumberFormat(java.lang.String format)

      Deprecated.
      Parameters:
        `format` - axis number format

    - #### isSetLogBase

          boolean isSetLogBase()

      Deprecated.
      Returns:
        true if log base is defined, false otherwise

    - #### setLogBase

          void setLogBase(double logBase)

      Deprecated.
      Parameters:
        `logBase` - a number between 2 and 1000 (inclusive)
      Throws:
        `java.lang.IllegalArgumentException` - if log base not within allowed range

    - #### getLogBase

          double getLogBase()

      Deprecated.
      Returns:
        axis log base or 0.0 if not set

    - #### isSetMinimum

          boolean isSetMinimum()

      Deprecated.
      Returns:
        true if minimum value is defined, false otherwise

    - #### getMinimum

          double getMinimum()

      Deprecated.
      Returns:
        axis minimum or 0.0 if not set

    - #### setMinimum

          void setMinimum(double min)

      Deprecated.
      Parameters:
        `min` - axis minimum

    - #### isSetMaximum

          boolean isSetMaximum()

      Deprecated.
      Returns:
        true if maximum value is defined, false otherwise

    - #### getMaximum

          double getMaximum()

      Deprecated.
      Returns:
        axis maximum or 0.0 if not set

    - #### setMaximum

          void setMaximum(double max)

      Deprecated.
      Parameters:
        `max` - axis maximum

    - #### getOrientation

          AxisOrientation getOrientation()

      Deprecated.
      Returns:
        axis orientation

    - #### setOrientation

          void setOrientation(AxisOrientation orientation)

      Deprecated.
      Parameters:
        `orientation` - axis orientation

    - #### setCrosses

          void setCrosses(AxisCrosses crosses)

      Deprecated.
      Parameters:
        `crosses` - axis cross type

    - #### getCrosses

          AxisCrosses getCrosses()

      Deprecated.
      Returns:
        axis cross type

    - #### crossAxis

          void crossAxis(ChartAxis axis)

      Deprecated.
      Declare this axis cross another axis.
      Parameters:
        `axis` - that this axis should cross

    - #### isVisible

          boolean isVisible()

      Deprecated.
      Returns:
        visibility of the axis.

    - #### setVisible

          void setVisible(boolean value)

      Deprecated.
      Parameters:
        `value` - visibility of the axis.

    - #### getMajorTickMark

          AxisTickMark getMajorTickMark()

      Deprecated.
      Returns:
        major tick mark.

    - #### setMajorTickMark

          void setMajorTickMark(AxisTickMark tickMark)

      Deprecated.
      Parameters:
        `tickMark` - major tick mark type.

    - #### getMinorTickMark

          AxisTickMark getMinorTickMark()

      Deprecated.
      Returns:
        minor tick mark.

    - #### setMinorTickMark

          void setMinorTickMark(AxisTickMark tickMark)

      Deprecated.
      Parameters:
        `tickMark` - minor tick mark type.

    - #### hasNumberFormat

          boolean hasNumberFormat()

      Deprecated.
      Use this to check before retrieving a number format, as calling `getNumberFormat()` may create a default one if none exists.
      Returns:
        true if a number format element is defined, false if not

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.